<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo('charset'); ?>" />
	
	<?php if (is_search()) { ?>
	   <meta name="robots" content="noindex, nofollow" /> 
	<?php } ?>

	<title>
		   <?php
		      if (function_exists('is_tag') && is_tag()) {
		         single_tag_title("Tag Archive for &quot;"); echo '&quot; - '; }
		      elseif (is_archive()) {
		         wp_title(''); echo ' Archive - '; }
		      elseif (is_search()) {
		         echo 'Search for &quot;'.wp_specialchars($s).'&quot; - '; }
		      elseif (!(is_404()) && (is_single()) || (is_page())) {
		         wp_title(''); echo ' - '; }
		      elseif (is_404()) {
		         echo 'Not Found - '; }
		      if (is_home()) {
		         bloginfo('name'); echo ' - '; bloginfo('description'); }
		      else {
		          bloginfo('name'); }
		      if ($paged>1) {
		         echo ' - page '. $paged; }
		   ?>
	</title>
	
	<link rel="shortcut icon" href="/favicon.ico">
	
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>">
    
    <link rel="stylesheet" href="/wp-content/themes/Integraphix-Theme/style-2.css">
	
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">

	<?php if ( is_singular() ) wp_enqueue_script('comment-reply'); ?>

	<?php wp_head(); ?>
	
	
		<script type="text/javascript" src="/wp-content/themes/Integraphix-Theme/js/jquery.js"></script>
		<script type="text/javascript" src="/wp-content/themes/Integraphix-Theme/js/jquery.innerfade.js"></script>
        <script type="text/javascript" src="/wp-content/themes/Integraphix-Theme/js/carousel.js"></script>
        
        
        
		<script type="text/javascript">
		$(document).ready(
		function(){
						
			$('.jquery_fadeinandout').innerfade({
				speed: 'slow',
				timeout: 4000,
				type: 'sequence',
				containerheight: '160px'
			});
		}
			);
			
			
		</script>

	
</head>

<body <?php body_class(); ?>>
	
	
		