$(document).ready(function() {
	/* buttons that can be turned on (1) and off (0) */
	/* turns auto moving on */
	var auto_slide = 1;
	/* disables the auto moving feature when mouse is hovered over the carousel */
	var hover_pause = 1;
	/* sets auto moving by one image width at once every 5 seconds */
	var auto_slide_seconds = 8000;
	
	/* puts one image to the left of the first one so that when the right arrow is clicked there's a image to be moved over from the left. The 'left: -200px;' css makes it so that this moved over image is hidden to the left combined with the css 'overflow: hidden;' */
	$('#carousel_ul li:first').before($('#carousel_ul li:last'));
	
	if (auto_slide == 1) {
		/* setInterval function causes the slide() function to be run every few seconds defined by the various auto_slid_seconds. It is currently set to go right but you can change it to left if you wish */
		var timer = setInterval('slide("right")', auto_slide_seconds);
	}
	
	if (hover_pause == 1) {
		// remove the previously set setInterval function when mouse pointer is hovered over the #carousel_ul unordered list
		$('#carousel_ul').hover(function() {
			clearInterval(timer)
		}, function() {
			// add back in the setInterval auto-moving function when the mouse moves out of the unordered list area
			timer = setInterval('slide("right")', auto_slide_seconds); 
		});
	}
});

// main slide function
function slide(where) {
	// .outerWidth() is different than the jQuery .outer() function in that .outerWidth() can be set to grab both the padding and margin of an element, while the default setting is to just grab the left and right padding, which is what's being used here
	var item_width = $('#carousel_ul li').outerWidth();
	
	if (where == 'left') {
		// parseInt() is a javascript function that parses out the non-numerical values in a string and returns a numeric value. Here, the 'px' portion of the string is removed so the variable 'left_indent' can be used further down in another function
		// in the css file global.css, relative position of the unordered list #carousel_ul is set to -200 to match the image widths (plus margins if necessary), here that css property is being added or subtracted with the image width depending on the direction of the carousel flow
		var left_indent = parseInt($('#carousel_ul').css('left')) + item_width;
	} else {
		var left_indent = parseInt($('#carousel_ul').css('left')) - item_width;
	}
	// a jquery .animate() function is used to move the unordered list to the near css position in a smooth transition animation.
	// the ':not(:animated)' portion ensures that the jquery animation portion caused by the click of the arrow button is only initiated if there is no auto-move currently in progress on the unordered list. If this isn't set, then a double-move can happen, which screws up the jquery animation
	$('#carousel_ul:not(:animated)').animate({'left': left_indent}, 500, function() {
		// after the jQuery animation is finished, the furthest left/right item is moved to the furthest right/left so that a unlimited carousel loop flow can be achieved and maintained regardless of the number of times the left and right buttons are clicked.
		if (where == 'left') {
			$('#carousel_ul li:first').before($('#carousel_ul li:last'));
		} else {
			$('#carousel_ul li:last').after($('#carousel_ul li:first'));
		}
		// once the left or right image ordering has been finished, the css position 'left:' is resetted to -200px since the reording of the image elements after the jQuery animation has now been completed. This is done because the jQuery animation portion changed this css property and if left by itself, will eventually take the unordered list element off of the visible screen area.
		$('#carousel_ul').css({'left' : '-288px'});
	});
}












/* start pencil animation */

$(document).ready(function(){
	

$("#pencil-shadow").css({'opacity':'0.0'});
$("#flower-thumb").css({'opacity':'0.0'});
$("#derose-logo-1").css({'opacity':'0.0'});
$("#derose-logo-2").css({'opacity':'0.0'});
$("#derose-logo-3").css({'opacity':'0.0'});

setTimeout(function(){movepencil();}, 1900);
function movepencil(){



$("#pencil").animate({marginLeft: -36,marginTop: -520,}, 125);
$("#pencil").animate({marginLeft: -34,marginTop: -460,}, 125);
$("#pencil").animate({marginLeft: -32,marginTop: -520,}, 125);
$("#pencil").animate({marginLeft: -30,marginTop: -460,}, 125);
$("#pencil").animate({marginLeft: -28,marginTop: -520,}, 125);

$("#pencil").animate({marginLeft: -26,marginTop: -460,}, 125);

	$("#pencil").animate({marginLeft: -24,marginTop: -520,}, 125);
	
	$("#pencil").animate({marginLeft: -22,marginTop: -460,}, 125);
	$("#pencil").animate({marginLeft: -20,marginTop: -520,}, 125);
	$("#pencil").animate({marginLeft: -18,marginTop: -460,}, 125);
	$("#pencil").animate({marginLeft: -16,marginTop: -520,}, 125);
	$("#pencil").animate({marginLeft: -14,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: -12,marginTop: -520,}, 125);
		$("#pencil").animate({marginLeft: -10,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: -8,marginTop: -520,}, 125);
		$("#pencil").animate({marginLeft: -6,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: -4,marginTop: -520,}, 125);
		$("#pencil").animate({marginLeft: -2,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: 0,marginTop: -520,}, 125);
		$("#pencil").animate({marginLeft: 2,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: 4,marginTop: -520,}, 125);
		$("#pencil").animate({marginLeft: 6,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: 8,marginTop: -520,}, 125);
		$("#pencil").animate({marginLeft: 10,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: 12,marginTop: -520,}, 125);
		$("#pencil").animate({marginLeft: 14,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: 16,marginTop: -520,}, 125);
		$("#pencil").animate({marginLeft: 18,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: 20,marginTop: -520,}, 125);
		$("#pencil").animate({marginLeft: 22,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: 24,marginTop: -520,}, 125);
		$("#pencil").animate({marginLeft: 26,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: 28,marginTop: -520,}, 125);
		$("#pencil").animate({marginLeft: 30,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: 32,marginTop: -520,}, 125);
		$("#pencil").animate({marginLeft: 34,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: 36,marginTop: -520,}, 125);
		$("#pencil").animate({marginLeft: 38,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: 40,marginTop: -520,}, 125);
		$("#pencil").animate({marginLeft: 42,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: 44,marginTop: -520,}, 125);
		$("#pencil").animate({marginLeft: 46,marginTop: -490,}, 125);
		$("#pencil").animate({marginLeft: 48,marginTop: -520,}, 125);
		

		
		/*   begin first logo               */
		$("#pencil").animate({marginLeft: -33,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -31,marginTop: -425,}, 125);
		$("#pencil").animate({marginLeft: -29,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -27,marginTop: -425,}, 125);
		$("#pencil").animate({marginLeft: -25,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -23,marginTop: -425,}, 125);
		$("#pencil").animate({marginLeft: -21,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -19,marginTop: -425,}, 125);
		$("#pencil").animate({marginLeft: -17,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -15,marginTop: -425,}, 125);
		$("#pencil").animate({marginLeft: -13,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -11,marginTop: -425,}, 125);
		$("#pencil").animate({marginLeft: -9,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -7,marginTop: -425,}, 125);

		$("#pencil").animate({marginLeft: -5,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -3,marginTop: -425,}, 125);
		$("#pencil").animate({marginLeft: -1,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: 1,marginTop: -425,}, 125);
		$("#pencil").animate({marginLeft: 3,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: 5,marginTop: -425,}, 125);
		$("#pencil").animate({marginLeft: 7,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: 9,marginTop: -445,}, 125);
		$("#pencil").animate({marginLeft: 11,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: 13,marginTop: -445,}, 125);
		$("#pencil").animate({marginLeft: 15,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: 17,marginTop: -445,}, 125);
		$("#pencil").animate({marginLeft: 19,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: 21,marginTop: -445,}, 125);
		$("#pencil").animate({marginLeft: 23,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: 25,marginTop: -445,}, 125);
		$("#pencil").animate({marginLeft: 27,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: 29,marginTop: -445,}, 125);
		$("#pencil").animate({marginLeft: 31,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: 33,marginTop: -445,}, 125);
		$("#pencil").animate({marginLeft: 35,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: 37,marginTop: -445,}, 125);
		$("#pencil").animate({marginLeft: 39,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: 41,marginTop: -445,}, 125);
		$("#pencil").animate({marginLeft: 43,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: 45,marginTop: -445,}, 125);
		$("#pencil").animate({marginLeft: 47,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: 49,marginTop: -445,}, 125);
		$("#pencil").animate({marginLeft: 51,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: 53,marginTop: -445,}, 125);
		$("#pencil").animate({marginLeft: 55,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: 57,marginTop: -445,}, 125);
		$("#pencil").animate({marginLeft: 59,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: 61,marginTop: -445,}, 125);
		$("#pencil").animate({marginLeft: 63,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: 65,marginTop: -445,}, 125);
		$("#pencil").animate({marginLeft: 67,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: 69,marginTop: -445,}, 125);
		$("#pencil").animate({marginLeft: 71,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: 73,marginTop: -445,}, 125);
		$("#pencil").animate({marginLeft: 75,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: 77,marginTop: -455,}, 125);
		$("#pencil").animate({marginLeft: 79,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: 81,marginTop: -455,}, 125);
		$("#pencil").animate({marginLeft: 83,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: 85,marginTop: -455,}, 125);
		$("#pencil").animate({marginLeft: 87,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: 89,marginTop: -455,}, 125);
		$("#pencil").animate({marginLeft: 91,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: 93,marginTop: -455,}, 125);
		/*   begin second logo               */
		
		$("#pencil").animate({marginLeft: -284,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: -282,marginTop: -430,}, 125);
		$("#pencil").animate({marginLeft: -280,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: -278,marginTop: -430,}, 125);
		$("#pencil").animate({marginLeft: -276,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: -274,marginTop: -430,}, 125);
		$("#pencil").animate({marginLeft: -272,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: -270,marginTop: -430,}, 125);
		$("#pencil").animate({marginLeft: -268,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: -266,marginTop: -430,}, 125);
		$("#pencil").animate({marginLeft: -264,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: -262,marginTop: -430,}, 125);

		$("#pencil").animate({marginLeft: -260,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: -258,marginTop: -430,}, 125);
		$("#pencil").animate({marginLeft: -256,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: -254,marginTop: -430,}, 125);
		$("#pencil").animate({marginLeft: -252,marginTop: -460,}, 125);
		$("#pencil").animate({marginLeft: -250,marginTop: -430,}, 125);
		$("#pencil").animate({marginLeft: -248,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: -246,marginTop: -430,}, 125);
		$("#pencil").animate({marginLeft: -244,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: -242,marginTop: -430,}, 125);
		$("#pencil").animate({marginLeft: -240,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: -238,marginTop: -430,}, 125);
		$("#pencil").animate({marginLeft: -236,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: -234,marginTop: -430,}, 125);
		$("#pencil").animate({marginLeft: -232,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: -230,marginTop: -430,}, 125);
		$("#pencil").animate({marginLeft: -228,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: -226,marginTop: -430,}, 125);
		$("#pencil").animate({marginLeft: -224,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: -222,marginTop: -430,}, 125);
		$("#pencil").animate({marginLeft: -220,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: -218,marginTop: -430,}, 125);
		$("#pencil").animate({marginLeft: -216,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: -214,marginTop: -430,}, 125);
		$("#pencil").animate({marginLeft: -212,marginTop: -470,}, 125);
		$("#pencil").animate({marginLeft: -210,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -208,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -206,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -204,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -202,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -200,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -198,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -196,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -194,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -192,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -190,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -188,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -186,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -184,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -182,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -180,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -178,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -176,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -174,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -172,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -170,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -168,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -166,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -164,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -162,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -160,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -158,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -156,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -154,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -152,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -150,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -146,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -144,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -142,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -140,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -138,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -136,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -134,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -132,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -130,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -128,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -126,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -124,marginTop: -450,}, 125);
		$("#pencil").animate({marginLeft: -122,marginTop: -480,}, 125);
		$("#pencil").animate({marginLeft: -120,marginTop: -450,}, 125);
		
		/* start large logo */
		
		$("#pencil").animate({marginLeft: -335,marginTop: -595,}, 230);
		$("#pencil").animate({marginLeft: -334,marginTop: -520,}, 230);
		$("#pencil").animate({marginLeft: -333,marginTop: -595,}, 230);
		$("#pencil").animate({marginLeft: -332,marginTop: -595,}, 230);
		$("#pencil").animate({marginLeft: -331,marginTop: -520,}, 230);
		$("#pencil").animate({marginLeft: -329,marginTop: -595,}, 230);
		$("#pencil").animate({marginLeft: -327,marginTop: -520,}, 230);
		$("#pencil").animate({marginLeft: -325,marginTop: -595,}, 230);
		$("#pencil").animate({marginLeft: -323,marginTop: -520,}, 230);
		$("#pencil").animate({marginLeft: -321,marginTop: -585,}, 230);
		$("#pencil").animate({marginLeft: -319,marginTop: -520,}, 230);
		$("#pencil").animate({marginLeft: -317,marginTop: -585,}, 230);
		$("#pencil").animate({marginLeft: -315,marginTop: -520,}, 230);
		$("#pencil").animate({marginLeft: -313,marginTop: -585,}, 230);
		$("#pencil").animate({marginLeft: -311,marginTop: -520,}, 230);
		$("#pencil").animate({marginLeft: -309,marginTop: -585,}, 230);
		$("#pencil").animate({marginLeft: -307,marginTop: -520,}, 230);
		$("#pencil").animate({marginLeft: -305,marginTop: -585,}, 230);
		$("#pencil").animate({marginLeft: -303,marginTop: -520,}, 230);
		$("#pencil").animate({marginLeft: -301,marginTop: -585,}, 230);
		$("#pencil").animate({marginLeft: -299,marginTop: -520,}, 230);
		$("#pencil").animate({marginLeft: -297,marginTop: -585,}, 230);
		$("#pencil").animate({marginLeft: -295,marginTop: -520,}, 230);
		$("#pencil").animate({marginLeft: -293,marginTop: -585,}, 230);
		$("#pencil").animate({marginLeft: -291,marginTop: -520,}, 230);
		$("#pencil").animate({marginLeft: -289,marginTop: -585,}, 230);
		$("#pencil").animate({marginLeft: -287,marginTop: -520,}, 230);
		$("#pencil").animate({marginLeft: -285,marginTop: -585,}, 230);
		$("#pencil").animate({marginLeft: -283,marginTop: -520,}, 230);
		$("#pencil").animate({marginLeft: -281,marginTop: -585,}, 150);
		$("#pencil").animate({marginLeft: -279,marginTop: -520,}, 150);
		$("#pencil").animate({marginLeft: -277,marginTop: -585,}, 150);
		$("#pencil").animate({marginLeft: -275,marginTop: -540,}, 150);
		$("#pencil").animate({marginLeft: -273,marginTop: -605,}, 150);
		$("#pencil").animate({marginLeft: -271,marginTop: -540,}, 150);
		$("#pencil").animate({marginLeft: -269,marginTop: -605,}, 150);
		$("#pencil").animate({marginLeft: -267,marginTop: -540,}, 150);
		$("#pencil").animate({marginLeft: -265,marginTop: -605,}, 150);
		$("#pencil").animate({marginLeft: -263,marginTop: -540,}, 150);
		$("#pencil").animate({marginLeft: -261,marginTop: -605,}, 150);
		$("#pencil").animate({marginLeft: -259,marginTop: -540,}, 150);
		$("#pencil").animate({marginLeft: -257,marginTop: -605,}, 150);
		$("#pencil").animate({marginLeft: -255,marginTop: -540,}, 150);
		$("#pencil").animate({marginLeft: -253,marginTop: -605,}, 150);
		$("#pencil").animate({marginLeft: -251,marginTop: -540,}, 150);
		$("#pencil").animate({marginLeft: -249,marginTop: -605,}, 150);
		$("#pencil").animate({marginLeft: -247,marginTop: -540,}, 150);
		$("#pencil").animate({marginLeft: -245,marginTop: -605,}, 150);
		$("#pencil").animate({marginLeft: -243,marginTop: -540,}, 150);
		$("#pencil").animate({marginLeft: -241,marginTop: -605,}, 150);
		$("#pencil").animate({marginLeft: -239,marginTop: -540,}, 150);
		$("#pencil").animate({marginLeft: -237,marginTop: -605,}, 150);
		$("#pencil").animate({marginLeft: -235,marginTop: -540,}, 150);
		$("#pencil").animate({marginLeft: -233,marginTop: -605,}, 150);
		$("#pencil").animate({marginLeft: -231,marginTop: -540,}, 150);
		$("#pencil").animate({marginLeft: -229,marginTop: -605,}, 150);
		$("#pencil").animate({marginLeft: -227,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -225,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -223,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -221,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -219,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -217,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -215,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -213,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -211,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -209,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -207,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -205,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -203,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -201,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -199,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -197,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -195,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -193,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -191,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -189,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -187,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -185,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -183,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -181,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -179,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -177,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -175,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -173,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -171,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -169,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -167,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -165,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -163,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -161,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -159,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -157,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -155,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -153,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -151,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -149,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -147,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -145,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -143,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -141,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -139,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -137,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -135,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -133,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -131,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -129,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -127,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -125,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -123,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -121,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -119,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -117,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -115,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -113,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -111,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -109,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -107,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -105,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -103,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -101,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -99,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -97,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -95,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -93,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -91,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -89,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -87,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -85,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -83,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -81,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -79,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -77,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -75,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -73,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -71,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -69,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -67,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -65,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -63,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -61,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -57,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -55,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -53,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -51,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -49,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -47,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -45,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -43,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -41,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -39,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -37,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -35,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -33,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -31,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -29,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -27,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -25,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -23,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -21,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -19,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -17,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -15,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -13,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -11,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -9,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -7,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -5,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: -3,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: -1,marginTop: -605,}, 100);
		$("#pencil").animate({marginLeft: 1,marginTop: -540,}, 100);
		$("#pencil").animate({marginLeft: 3,marginTop: -605,}, 80);
		$("#pencil").animate({marginLeft: 5,marginTop: -540,}, 80);
		$("#pencil").animate({marginLeft: 7,marginTop: -605,}, 80);
		$("#pencil").animate({marginLeft: 9,marginTop: -540,}, 80);
		$("#pencil").animate({marginLeft: 11,marginTop: -605,}, 80);
		$("#pencil").animate({marginLeft: 13,marginTop: -540,}, 80);
		$("#pencil").animate({marginLeft: 15,marginTop: -605,}, 80);
		$("#pencil").animate({marginLeft: 17,marginTop: -540,}, 80);
		$("#pencil").animate({marginLeft: 19,marginTop: -605,}, 80);
		$("#pencil").animate({marginLeft: 21,marginTop: -540,}, 80);
		$("#pencil").animate({marginLeft: 23,marginTop: -605,}, 80);
		$("#pencil").animate({marginLeft: 25,marginTop: -540,}, 80);
		$("#pencil").animate({marginLeft: 27,marginTop: -605,}, 80);
		$("#pencil").animate({marginLeft: 29,marginTop: -540,}, 80);
		$("#pencil").animate({marginLeft: 31,marginTop: -605,}, 80);
		$("#pencil").animate({marginLeft: 33,marginTop: -540,}, 80);
		$("#pencil").animate({marginLeft: 35,marginTop: -605,}, 80);
		$("#pencil").animate({marginLeft: 37,marginTop: -540,}, 80);
		$("#pencil").animate({marginLeft: 39,marginTop: -605,}, 80);
		$("#pencil").animate({marginLeft: 41,marginTop: -540,}, 80);
		$("#pencil").animate({marginLeft: 43,marginTop: -605,}, 80);
		$("#pencil").animate({marginLeft: 45,marginTop: -540,}, 80);
		$("#pencil").animate({marginLeft: 47,marginTop: -605,}, 80);
		$("#pencil").animate({marginLeft: 49,marginTop: -540,}, 80);
		$("#pencil").animate({marginLeft: 51,marginTop: -605,}, 80);
}
		
setTimeout(function(){seventhlogo();}, 600);










function seventhlogo(){
	
	
	
	$("#pencil-shadow").animate({marginLeft: 167,marginTop: 95,});
$("#flower-thumb").animate({opacity:1.0});	

$("#flower-thumb").animate({width:87}, 8500);

	$("#flower-thumb").animate({opacity:1.0});
	
	
	setTimeout(function(){ninthlogo();}, 5700);
}	
	
	
	function ninthlogo(){

	$("#derose-logo-2").css({'opacity':'1.0'});
	$("#derose-logo-2").animate({width:129}, 11700);
	setTimeout(function(){tenthlogo();}, 7700);
}

function tenthlogo(){
	
	$("#derose-logo-3").animate({opacity:1.0});
$("#derose-logo-3").animate({width:170}, 15500);
	setTimeout(function(){eleventhlogo();}, 11000);
}


function eleventhlogo(){
	
		$("#derose-logo-1").animate({opacity:1.0});
$("#derose-logo-1").animate({width:800}, 55500);
	setTimeout(function(){eleventhlogo();}, 950);
}

	
});

/* end pencil animation */







$(document).ready(function(){
	
	$("#close-tab").css({'opacity': '0.0'});
	$("#form-margin").css({'opacity': '0.0'});
	$("#form_box_text").css({'opacity': '0.0'});
	
	
	$("#right-side-form-tab").click(function(){
		
	/* $(this).animate({width: 290,}); */	
	$(this).animate({width: 650, height: 446});	
	
	$(this).css({'background-image': 'url(/images/anim_form_bg.png)',}); 
		
	
	setTimeout(function(){showtabclosebtn();}, 600);
	
	function showtabclosebtn(){
	$("#close-tab").css({'opacity': '100.0'});
	}
	
	$("#form-margin").css({'opacity': '100.0'});
	$("#form_box_text").css({'opacity': '100.0'});	
		
		
		
		
	});
	
	
	$("#close-tab").click(function(){
		
	$("#right-side-form-tab").animate({width: 87,});
	$("#close-tab").css({'opacity': '0.0'});
	$("#form-margin").css({'opacity': '0.0'});
	$("#form_box_text").css({'opacity': '0.0'});		
	
	setTimeout(function(){changecolor();}, 500);
	
	function changecolor(){
	
	$("#right-side-form-tab").css({'background-image': 'url(/images/contact-tab-open2.png)',});
	}
	
	});	
		
	
	
});




function submittabForm(){
	
var tabname = document.getElementById("tabname").value;
var tabphone = document.getElementById("tabphone").value;
var tabemail = document.getElementById("tabemail").value;
var tabmsgtxt = document.getElementById("tabmsgtxt").value;
var tabsecurity = document.getElementById("tabsecurity").value;
var x=document.forms["tabform"]["tabemail"].value;
var atpos=x.indexOf("@");
var dotpos=x.lastIndexOf(".");
  if ( tabname == "" ){	   
	 $("#error-message").html("Please check your name field!"); 
   }
   else if ( tabphone == "" ) {
   $("#error-message").html("Please enter your phone!"); 
   }
   else if ( tabemail == "" ) {
   $("#error-message").html("Please enter your email!"); 
   }
   else if (atpos<1 || dotpos<atpos+2 || dotpos+2>=x.length){
   $("#error-message").html("Please enter a valid email address!"); 
   }
   else if ( tabmsgtxt == "" ) {
   $("#error-message").html("Please enter your comment!"); 
   }
   else if (tabsecurity != "4" || security == "" ){
   $("#error-message").html("Please check the Security Qestion!"); 
   }
   else if (tabsecurity == "4" && tabmsgtxt != "" && tabname != "" && tabphone != "" && tabemail != "" && (atpos>1 || dotpos>atpos+2 || dotpos+2>x.length) ){
   var xmlhttp;
	if (window.XMLHttpRequest)
  	{// code for IE7+, Firefox, Chrome, Opera, Safari
  	xmlhttp=new XMLHttpRequest();
  	}
	else
  	{// code for IE6, IE5
  	xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp.onreadystatechange=function()
  	{
  	if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
  			$("#form-margin").css({'margin-left': '50px','margin-top': '100','font-family': 'Arial','font-size': '12px','font-size': '12px','color': '#666', });
	
			document.getElementById("form-margin").innerHTML=xmlhttp.responseText; 
			
			setTimeout(function(){sendtabback();}, 800);
	
	
			function sendtabback(){
		
					$("#right-side-form-tab").animate({width: 87,});
					$("#close-tab").css({'opacity': '0.0'});
					$("#form-margin").css({'opacity': '0.0'});	
					$("#form_box_text").css({'opacity': '0.0'});		
	
					setTimeout(function(){ changecolor();}, 500);
	
					function changecolor(){
					$("#right-side-form-tab").css({'background-image': 'url(/images/contact-tab-open2.png)',});
					}
			}
		}
  	}
  
xmlhttp.open("POST","http://igxlogos.com/wp-content/themes/Integraphix-Theme/inc/contact-submit.php",true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send("tabname="+tabname+"&tabphone="+tabphone+"&tabemail="+tabemail+"&tabmsgtxt="+tabmsgtxt);

   }

}























function contactPageForm(){
var firstname = document.getElementById("firstname").value;
var email = document.getElementById("email").value;
var website = document.getElementById("website").value;
var message = document.getElementById("message").value;
var security = document.getElementById("security").value;
var x=document.forms["form"]["email"].value;
var atpos=x.indexOf("@");
var dotpos=x.lastIndexOf(".");
if ( firstname == "" ){
$("#message-area").html("Please check the name field!"); 
}
else if ( email == "" ){
$("#message-area").html("Please check the email field!"); 
} 
else if (atpos<1 || dotpos<atpos+2 || dotpos+2>=x.length){
$("#message-area").html("Please enter a valid email address!"); 
}
else if (security != "4" || security == "" ){
$("#message-area").html("Please check your answer to the Security Qestion!"); 
}
else if(security == "4" && firstname != ""  && email != ""  && (atpos>1 || dotpos>atpos+2 || dotpos+2>x.length) ){
/*var total = parseFloat(firstNumber) + parseFloat(secondNumber); */

/*document.getElementById("demo").innerHTML=(total); */

var xmlhttp;
if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
/*	document.getElementById("new-comment").innerHTML="function was Successful!";	*/	
/*	$("#form-margin").css({'margin-left': '50px','margin-top': '100','font-family': 'Arial','font-size': '12px','font-size': '12px','color': '#666', }); */
	document.getElementById("message-area").innerHTML=xmlhttp.responseText; 
	$(".form").css({'opacity': '0.0'});
	$("p.remove").css({'opacity': '0.0'});
	$("#message-area").css({'margin-left': '0px','color': '#777',});
	
    }
  }
xmlhttp.open("POST","/wp-content/themes/Integraphix-Theme/inc/formsubmit.php",true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send("firstname="+firstname+"&email="+email+"&message="+message+"&security="+security);
/*document.getElementById("text").value="";	 */
   } 
   
}


function newsletterForm(){
var newslettername = document.getElementById("newsletter_name").value;
var newsletteremail = document.getElementById("newsletter_email").value;
var x=document.forms["newsletterform"]["email"].value;
var atpos=x.indexOf("@");
var dotpos=x.lastIndexOf(".");
if ( newslettername == "" ){
$("#newsletter-message").html("Please check the name field!"); 
   }  
else  if ( newslettername == "Name:" ){	
	 $("#newsletter-message").html("Please check the name field!"); 
   }
else if ( newsletteremail == "" ){	
	$("#newsletter-message").html("Please check the email field!"); 
   } 
else if ( newsletteremail == "E-mail:" ){	
	 $("#newsletter-message").html("Please check the email field!"); 
   } 
else if (atpos<1 || dotpos<atpos+2 || dotpos+2>=x.length){
	 $("#newsletter-message").html("Please enter a valid email address!"); 
   }
   
else if ( newslettername != ""  && newsletteremail != ""  && (atpos>1 || dotpos>atpos+2 || dotpos+2>x.length) ){
var xmlhttp;
if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
	if(xmlhttp.responseText == "block"){   } else{
	document.getElementById("newsletter-message").innerHTML=xmlhttp.responseText;
	document.getElementById("newsletter_name").value=""; 
	document.getElementById("newsletter_email").value=""; 
	}
	}
  }
xmlhttp.open("POST","/wp-content/themes/Integraphix-Theme/inc/contact-submit.php",true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send("newslettername="+newslettername+"&newsletteremail="+newsletteremail);
   } 
}